<?php

###################################################
#   Игры под dcms 6.6.4 и 6.7.7                   #
#   Автор: Nort, он же Lns                        #
#   icq: 484014288, сайт: http://inwap.org        #
#                                                 #
#   Вы не имеете права продавать, распростронять, #
#   давать друзьям даный скрипт.                  #
#                                                 #
#   Даная версия являет платной, и купить         #
#   можно только у автора.                        #
###################################################

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']= 'Арифметика';
include_once '../sys/inc/thead.php';

include_once 'inc.php';

title();
aut();
only_reg();

# ===================================================================

  mysql_query("UPDATE `user` SET `Vgame_arif_last` = '".(time()+$OnlineUser)."' WHERE `id` = '".$user['id']."' LIMIT 1");

  echo $div_name;
  echo $Inform.' <a href="/Games.V/">Арифметика</a> '.$Raquo.' <a href="/Games.V/Obmen.php">Обмен очков на баллы</a><br/>';
  echo '</div>';
  
  if (isset($_POST['submit']) && abs(intval($_POST['num']))>$user['Vgame_arif_balls'])
  
  {
  
    echo $div_link;
	echo 'Извените, но у Вас не хватает очков для обмена такого колличества.<br/>';
	echo '</div>';
	
	include_once '../sys/inc/tfoot.php';
	exit;
  
  }
  
  if (isset($_POST['submit']) && abs(intval($_POST['num']))<=$user['Vgame_arif_balls'])
  
  {
  
    echo $div_link;
	echo 'Обмен прошел успешно.<br/>';
	echo '</div>';
	
	mysql_query("UPDATE `user` SET `Vgame_arif_balls` = `Vgame_arif_balls` - '".abs(intval($_POST['num']))."', `balls` = `balls` + '".(abs(intval($_POST['num']))/5)."' WHERE `id` = '".$user['id']."' LIMIT 1");
	
	include_once '../sys/inc/tfoot.php';
	exit;
  
  }
  
  echo $div_link;
  echo $Link.' Курс обмена: <b>5 очков = 1 балл</b><br/>';
  echo '</div>';
  
  echo $div_link;
  echo '<form method="post">
        Сколько очков обменять (у Вас <font color="green">'.$user['Vgame_arif_balls'].'</font> очков.)<br/>
        <select name="num">
		<option value="5">5</option>
		<option value="25">25</option>
		<option value="50">50</option>
		<option value="100">100</option>
		<option value="500">500</option>
		<option value="1000">1000</option>
		</select><br/>
        <input type="submit" name="submit" value="Обменить"/></form>';
  echo '</div>';
  
# ===================================================================

include_once '../sys/inc/tfoot.php';
?>